{
	saved_FirstTime[1]
	Init[()
	{
		if(saved_FirstTime = 1)
		{
			SetNationality(0);
			SetCrouching();
			PlayAnimation(8);
			GiveWeapon(43);
			PlayAnimation(27);
			saved_FirstTime = 0;
		}
	}]
	
	Charge[()
	{
		SetRunning();
		PlayAnimation(0);
		FollowPath("Chuck_Charge", 0);
		FollowPathCallback(4, "Die");
	}]
	
	Die[()
	{
		Kill();	
	}]
}